#include "Types.r"
#include "SysTypes.r"

include "Dump2PICT.rsrc";

resource 'vers' (1)
{
	0x01, 0x01, release, 0x00, verNetherlands,
	"1.0.1",
	"1.0.1,  1991 Thomas Okken"
};

type 'dkbC' as 'STR ';

resource 'dkbC' (0)
{
	"Dump2PICT"
};

resource 'BNDL' (128)
{
    'dkbC', 0,
    {
		'ICN#', {0, 128};
		'FREF', {0, 128}
    }
};

resource 'FREF' (128)
{
    'APPL', 0, ""
};

resource 'MENU' (128)
{
	1, textMenuProc,
	0x7FFFFFFD,
	enabled, apple,
	{
		"About Dump2PICT",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (129)
{
	2, textMenuProc,
	0x7FFFFFFB,
	enabled, "File",
	{
		"Dump -> PICT",
			noicon, nokey, nomark, plain;
		"PICT -> Dump",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};

resource 'MENU' (130)
{
	3, textMenuProc,
	0x7FFFFFFD,
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain
	}
};

resource 'ALRT' (128, purgeable)
{
	{60, 45, 157, 466},
	128,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'ALRT' (129, purgeable)
{
	{60, 45, 157, 466},
	129,
	{
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1
	}
};

resource 'DITL' (128, purgeable)
{
	{
		{ 67, 350,  87, 410},	Button {enabled, "OK"},
		{  7,  12,  87, 340},	StaticText {disabled, "Dump2PICT 1.0.1, by Thomas Okken\n\n"
											"This utility will convert DKBTrace Dump/QRT "
											"files to and from Macintosh PICT format.\n"
											"Written in MPW Pascal 3.0. Enjoy!"}
	}
};

resource 'DITL' (129, purgeable)
{
	{
		{ 67, 350,  87, 410},	Button {enabled, "OK"},
		{  7,  60,  87, 340},	StaticText {disabled, "Sorry, Dump2PICT needs System "
											"6.0.5 or later, with 32-Bit QuickDraw, to "
											"run."}
	}
};

resource 'STR#' (128, purgeable)
{
	{
		/*  1 */	"Save PICT file as",
		/*  2 */	"Save Dump/QRT file as"
	}
};

resource 'SIZE' (-1)
{
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	cannotBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	65536,
	65536
};
